import { API_ENDPOINTS } from "@/utils/api-config";

export const dynamic = "force-dynamic";

export async function GET() {
	try {
		// Rufe Drucker vom externen Backend ab statt von der lokalen Datenbank
		const response = await fetch(API_ENDPOINTS.PRINTERS);
		
		if (!response.ok) {
			console.error(`Backend-Fehler: ${response.status} ${response.statusText}`);
			return new Response(JSON.stringify({ error: 'Backend nicht erreichbar' }), {
				status: 502,
				headers: { 'Content-Type': 'application/json' }
			});
		}
		
		const printers = await response.json();
		return Response.json(printers);
	} catch (error) {
		console.error('Fehler beim Abrufen der Drucker vom Backend:', error);
		return new Response(JSON.stringify({ error: 'Backend nicht erreichbar' }), {
			status: 500,
			headers: { 'Content-Type': 'application/json' }
		});
	}
}
